#ifndef LLUM_H
#define LLUM_H

#include <stdio.h>
#include <Common.h>
#include <QGLShaderProgram>


class Llum
{

public:
    Llum();
    void toGPU(QGLShaderProgram *program);
    vec4 getPosicio();
    vec4 getAmbient();
    vec4 getDifusa();
    vec4 getEspecular();
    bool activa;


private:
    vec4 posicio;
    vec3 direccio;
    vec4 intensitat_ambient; //Ia
    vec4 intensitat_difusa; //Id
    vec4 intensitat_especular; //Is

    float angle;

    float coef_a;
    float coef_b;
    float coef_c;



};

#endif // LLUM_H
